<html>
<head>
<title>Ogre::CompositorManager::TextureDefLess Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorManager.html">CompositorManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDefLess.html">TextureDefLess</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositorManager::TextureDefLess Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositorManager::TextureDefLess" -->
<p><a href="structOgre_1_1CompositorManager_1_1TextureDefLess-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool <a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDefLess.html#a01feca4702cf2145bda37ebb22231547">operator()</a> (const <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html">TextureDef</a> &amp;x, const <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html">TextureDef</a> &amp;y) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDefLess.html#a8831ac3d4a210af740e29f2740e08538">~TextureDefLess</a> ()</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00235">235</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8831ac3d4a210af740e29f2740e08538"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDefLess::~TextureDefLess" ref="a8831ac3d4a210af740e29f2740e08538" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDefLess.html#a8831ac3d4a210af740e29f2740e08538">Ogre::CompositorManager::TextureDefLess::~TextureDefLess</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00269">269</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a01feca4702cf2145bda37ebb22231547"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDefLess::operator()" ref="a01feca4702cf2145bda37ebb22231547" args="(const TextureDef &amp;x, const TextureDef &amp;y) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> Ogre::CompositorManager::TextureDefLess::operator() </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html">TextureDef</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html">TextureDef</a> &amp;&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00237">237</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

<p>References <a class="el" href="OgreCompositorManager_8h_source.html#l00224">Ogre::CompositorManager::TextureDef::format</a>, <a class="el" href="OgreCompositorManager_8h_source.html#l00225">Ogre::CompositorManager::TextureDef::fsaa</a>, <a class="el" href="OgreCompositorManager_8h_source.html#l00226">Ogre::CompositorManager::TextureDef::fsaaHint</a>, <a class="el" href="OgreCompositorManager_8h_source.html#l00223">Ogre::CompositorManager::TextureDef::height</a>, <a class="el" href="OgreCompositorManager_8h_source.html#l00227">Ogre::CompositorManager::TextureDef::sRGBwrite</a>, and <a class="el" href="OgreCompositorManager_8h_source.html#l00223">Ogre::CompositorManager::TextureDef::width</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
